package sgc.portal.co.copop.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.copop.dto.COPOPSearch;
import sgc.portal.co.copop.persistence.COPOPMapper;

import java.util.List;

@Service
public class COPOPService {
    private final COPOPMapper mapper;

    public COPOPService(COPOPMapper mapper) {
        this.mapper = mapper;
    }
    
    public List<EasyHashMap<String, Object>> getCcList(COPOPSearch search) {
        return mapper.getCcList(search);
    }
    
}
